Yuuko
=====

A transcendental HTML parser gently wrapping the HXT library

Example
=======


    > echo '<div>hi</div><div>there</div>' | yuuko //div
    
    hi
    there

Tutorial
========

    cabal update
    cabal install yuuko

    ghci
    
    > :m + Text.HTML.Yuuko
    > -- with XPath selectors
    > yuuko "//body" "<html><body>hi</body></html>"

Reference
=========

* [HXT](http://www.fh-wedel.de/~si/HXmlToolbox/)
* [TagSoup](http://community.haskell.org/~ndm/tagsoup/)
* [XPath](http://www.w3.org/TR/xpath)
* [XML related libraries on Hackage](http://hackage.haskell.org/packages/archive/pkg-list.html#cat:xml)

Who is Yuuko?
=============

![yuuko](http://github.com/nfjinjing/yuuko/raw/master/yuuko.gif)

* [Yūko Ichihara](http://en.wikipedia.org/wiki/Y%C5%ABko_Ichihara#Y.C5.ABko_Ichihara)
* [xxxHolic](http://en.wikipedia.org/wiki/XxxHolic )